For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
  • Transaction API
  • Event API
      • GETGet a list of alerts
      • POSTCreate an alert
      • GETGet an alert by its ID
LoginSandbox
Event APIAlerts

Get a list of alerts

GET
/v:version/alerts
GET
/v:version/alerts
$curl https://test.api.solvimon.com/v1/alerts \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "platform_id": "string",
7 "created_at": "string",
8 "alert_rule_id": "string",
9 "alert_rule": {
10 "object_type": "string",
11 "id": "string",
12 "reference": "string",
13 "name": "string",
14 "description": "string",
15 "status": "DRAFT",
16 "customer_ids": [
17 "string"
18 ],
19 "customers": [
20 {
21 "object_type": "string",
22 "id": "string",
23 "created_at": "string",
24 "parent_customer_id": "string",
25 "parent_customer_ids": [
26 "string"
27 ],
28 "reference": "string",
29 "status": "DRAFT",
30 "timezone": "string",
31 "type": "ORGANIZATION",
32 "email": "string",
33 "notification_preferences": [
34 {
35 "type": "INVOICE",
36 "channels": [
37 {
38 "type": "EMAIL",
39 "enabled": true
40 }
41 ]
42 }
43 ],
44 "locale": "string",
45 "individual": {
46 "name": {
47 "first_name": "string",
48 "last_name": "string",
49 "infix": "string"
50 },
51 "residential_address": {
52 "line1": "string",
53 "line2": "string",
54 "city": "string",
55 "postal_code": "string",
56 "state": "string",
57 "country": "AD"
58 }
59 },
60 "organization": {
61 "legal_name": "string",
62 "tax_id": "string",
63 "tax_ids": [
64 {
65 "id": "string",
66 "type": "GENERIC_TAX_ID",
67 "display_name": "string",
68 "tax_id_validation_result": {
69 "id": "string",
70 "validation_date": "string",
71 "source": "string",
72 "valid": "VALID",
73 "message": "string"
74 }
75 }
76 ],
77 "registration_number": "string",
78 "tax_exempt": true,
79 "tax_exempt_note": "string",
80 "registered_address": {
81 "line1": "string",
82 "line2": "string",
83 "city": "string",
84 "postal_code": "string",
85 "state": "string",
86 "country": "AD"
87 },
88 "tax_registrations": [
89 {
90 "id": "string",
91 "description": "string",
92 "tax_id": "string",
93 "tax_ids": [
94 {
95 "id": "string",
96 "type": "GENERIC_TAX_ID",
97 "display_name": "string",
98 "tax_id_validation_result": {
99 "id": "string",
100 "validation_date": "string",
101 "source": "string",
102 "valid": "VALID",
103 "message": "string"
104 }
105 }
106 ],
107 "registration_number": "string",
108 "registered_address": {
109 "line1": "string",
110 "line2": "string",
111 "city": "string",
112 "postal_code": "string",
113 "state": "string",
114 "country": "AD"
115 }
116 }
117 ]
118 },
119 "custom_fields": [
120 {
121 "id": "string",
122 "reference": "string",
123 "value": "string",
124 "values": [
125 "string"
126 ],
127 "integration_details": {
128 "id": "string",
129 "reference": "string",
130 "payment_gateway_variant": "ADYEN",
131 "adyen": {
132 "recurring_detail_reference": "string"
133 },
134 "stripe": {
135 "payment_method_id": "string"
136 }
137 }
138 }
139 ],
140 "processing_only": true,
141 "pricing_plan_subscription_selector": {
142 "data": [
143 {
144 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
145 "value": "string"
146 }
147 ],
148 "rules": [
149 {
150 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
151 "type": "EQUALS"
152 }
153 ],
154 "filters": [
155 {
156 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
157 "type": "EQUALS",
158 "value": "string"
159 }
160 ],
161 "fallback": "LATEST"
162 },
163 "linked_integrations": [
164 {
165 "id": "string",
166 "link_details": [
167 {
168 "url": "string",
169 "custom_field_name": "string"
170 }
171 ]
172 }
173 ],
174 "roles": [
175 "DEFAULT"
176 ],
177 "seller_details": {
178 "default_billing_entity_id": "string"
179 }
180 }
181 ],
182 "type": "ENTITLEMENT",
183 "trigger_type": "STATIC",
184 "entitlement": {
185 "feature_id": "string",
186 "feature": {
187 "object_type": "string",
188 "id": "string",
189 "reference": "string",
190 "name": "string",
191 "description": "string",
192 "type": "SWITCH",
193 "enum_values": [
194 "string"
195 ],
196 "meter_value_calculation_id": "string",
197 "meter_value_calculation": {
198 "object_type": "string",
199 "id": "string",
200 "reference": "string",
201 "name": "string",
202 "description": "string",
203 "calculation_type": "SUM",
204 "persist": true,
205 "meter_id": "string",
206 "meter": {
207 "object_type": "string",
208 "id": "string",
209 "reference": "string",
210 "name": "string",
211 "description": "string",
212 "status": "DRAFT",
213 "meter_values": [
214 {
215 "id": "string",
216 "object": {
217 "object_type": "string",
218 "id": "string",
219 "reference": "string",
220 "name": "string",
221 "description": "string",
222 "status": "DRAFT",
223 "type": "NUMBER"
224 },
225 "required": true
226 }
227 ],
228 "meter_properties": [
229 {
230 "id": "string",
231 "object": {
232 "object_type": "string",
233 "id": "string",
234 "reference": "string",
235 "name": "string",
236 "description": "string",
237 "status": "DRAFT",
238 "type": "NUMBER",
239 "enum_values": [
240 "string"
241 ]
242 },
243 "required": true
244 }
245 ]
246 },
247 "meter_value_id": "string",
248 "meter_value": {
249 "object_type": "string",
250 "id": "string",
251 "reference": "string",
252 "name": "string",
253 "description": "string",
254 "status": "DRAFT",
255 "type": "NUMBER"
256 },
257 "meter_property_id": "string",
258 "meter_property": {
259 "object_type": "string",
260 "id": "string",
261 "reference": "string",
262 "name": "string",
263 "description": "string",
264 "status": "DRAFT",
265 "type": "NUMBER",
266 "enum_values": [
267 "string"
268 ]
269 }
270 }
271 },
272 "comparator": "EQUALS",
273 "threshold": {
274 "number": "string",
275 "percentage": "string",
276 "amount": {
277 "quantity": "string",
278 "currency": "AED"
279 }
280 }
281 },
282 "invoice": {
283 "variant": "OVERDUE",
284 "overdue": {
285 "comparator": "EQUALS",
286 "threshold": {
287 "type": "DAY",
288 "value": 1
289 }
290 }
291 }
292 },
293 "customer_id": "string",
294 "customer": {
295 "object_type": "string",
296 "id": "string",
297 "created_at": "string",
298 "parent_customer_id": "string",
299 "parent_customer_ids": [
300 "string"
301 ],
302 "reference": "string",
303 "status": "DRAFT",
304 "timezone": "string",
305 "type": "ORGANIZATION",
306 "email": "string",
307 "notification_preferences": [
308 {
309 "type": "INVOICE",
310 "channels": [
311 {
312 "type": "EMAIL",
313 "enabled": true
314 }
315 ]
316 }
317 ],
318 "locale": "string",
319 "individual": {
320 "name": {
321 "first_name": "string",
322 "last_name": "string",
323 "infix": "string"
324 },
325 "residential_address": {
326 "line1": "string",
327 "line2": "string",
328 "city": "string",
329 "postal_code": "string",
330 "state": "string",
331 "country": "AD"
332 }
333 },
334 "organization": {
335 "legal_name": "string",
336 "tax_id": "string",
337 "tax_ids": [
338 {
339 "id": "string",
340 "type": "GENERIC_TAX_ID",
341 "display_name": "string",
342 "tax_id_validation_result": {
343 "id": "string",
344 "validation_date": "string",
345 "source": "string",
346 "valid": "VALID",
347 "message": "string"
348 }
349 }
350 ],
351 "registration_number": "string",
352 "tax_exempt": true,
353 "tax_exempt_note": "string",
354 "registered_address": {
355 "line1": "string",
356 "line2": "string",
357 "city": "string",
358 "postal_code": "string",
359 "state": "string",
360 "country": "AD"
361 },
362 "tax_registrations": [
363 {
364 "id": "string",
365 "description": "string",
366 "tax_id": "string",
367 "tax_ids": [
368 {
369 "id": "string",
370 "type": "GENERIC_TAX_ID",
371 "display_name": "string",
372 "tax_id_validation_result": {
373 "id": "string",
374 "validation_date": "string",
375 "source": "string",
376 "valid": "VALID",
377 "message": "string"
378 }
379 }
380 ],
381 "registration_number": "string",
382 "registered_address": {
383 "line1": "string",
384 "line2": "string",
385 "city": "string",
386 "postal_code": "string",
387 "state": "string",
388 "country": "AD"
389 }
390 }
391 ]
392 },
393 "custom_fields": [
394 {
395 "id": "string",
396 "reference": "string",
397 "value": "string",
398 "values": [
399 "string"
400 ],
401 "integration_details": {
402 "id": "string",
403 "reference": "string",
404 "payment_gateway_variant": "ADYEN",
405 "adyen": {
406 "recurring_detail_reference": "string"
407 },
408 "stripe": {
409 "payment_method_id": "string"
410 }
411 }
412 }
413 ],
414 "processing_only": true,
415 "pricing_plan_subscription_selector": {
416 "data": [
417 {
418 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
419 "value": "string"
420 }
421 ],
422 "rules": [
423 {
424 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
425 "type": "EQUALS"
426 }
427 ],
428 "filters": [
429 {
430 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
431 "type": "EQUALS",
432 "value": "string"
433 }
434 ],
435 "fallback": "LATEST"
436 },
437 "linked_integrations": [
438 {
439 "id": "string",
440 "link_details": [
441 {
442 "url": "string",
443 "custom_field_name": "string"
444 }
445 ]
446 }
447 ],
448 "roles": [
449 "DEFAULT"
450 ],
451 "seller_details": {
452 "default_billing_entity_id": "string"
453 }
454 },
455 "type": "ENTITLEMENT",
456 "data_trigger_reference": "string",
457 "alert_data": {
458 "entitlement": {
459 "pricing_plan_subscription_id": "string",
460 "entitlement_value": {
461 "number": "string",
462 "amount": {
463 "quantity": "string",
464 "currency": "AED"
465 }
466 },
467 "threshold_value": {
468 "number": "string",
469 "amount": {
470 "quantity": "string",
471 "currency": "AED"
472 }
473 },
474 "used_value": {
475 "number": "string",
476 "amount": {
477 "quantity": "string",
478 "currency": "AED"
479 }
480 }
481 },
482 "invoice": {
483 "id": "string",
484 "overdue": {
485 "due_date": "2024-01-15T09:30:00Z",
486 "overdue_period": {
487 "type": "DAY",
488 "value": 1
489 }
490 }
491 }
492 }
493 }
494 ],
495 "links": {
496 "first": "string",
497 "previous": "string",
498 "current": "string",
499 "next": "string"
500 },
501 "page": 1,
502 "limit": 1,
503 "total_number_of_pages": 1
504}
Requires the ALERT.VIEW permission.
Was this page helpful?
Previous

Create an alert

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

customer_idstringOptional
The resource id of the customer.
pageintegerOptional
The page which is going to be shown
limitintegerOptional
The amount of records shown in the list
expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.

Response

OK
datalist of objects
linksobject
pageinteger or null
limitinteger or null
total_number_of_pagesinteger or nullDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error